[
{
    blockid=general;
    help=service_general_general;
    custom="com.netscape.management.msgserv.ServiceGeneralControl";
    localvar={
	/* translate this block */
	.header.text="Control de proceso";
	.dialogheader.text="Control de proceso de Messaging Server";

	.service.general.status.border=[titled, "Estado de servicio"];

	.service.text="Servicio";
	.onoff.text="Activado/Desactivado";

	.startall.text="Iniciar todo";
	.stopall.text="Detener todo";

	.start.ok="Servicio iniciado correctamente.";
	.start.error="No pudo iniciarse el servicio.";
	.stop.ok="Servicio detenido correctamente.";
	.stop.error="Error al detener el servicio.";
	
	.start.ha= "Se ha detectado una configuraci\u00f3n HA en el sistema. Utilice el comando de inicio de HA para iniciar correctamente el servidor de mensajer\u00eda.";
	.stop.ha= "Se ha detectado una configuraci\u00f3n HA en el sistema. Utilice el comando de detenci\u00f3n de HA para detener correctamente el servidor de mensajer\u00eda.";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=processtable;
	    showadd=false;
	    showdelete=false;
	    buttonsat=east;
	    visiblerows=7;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.service.text;
		    width=78;
		},
		{
		    header=$.onoff.text;
		    width=260;
		}
	    ];
	    buttons=[
		{
		    text=$g.start.text;
		    cmd=".service.start";
		},
		{
		    text=$g.stop.text;
		    cmd=".service.stop";
		},
		{
		    text=$.startall.text;
		    cmd=".service.startall";
		},
		{
		    text=$.stopall.text;
		    cmd=".service.stopall";
		}
	    ];
	},
	{
	    ctrl=pane;
	    id=statcontainer;
	    layout=[ybox];
	    border=$.service.general.status.border;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=imapstat;
    localvar={
	.lastconnect.text="Hora de \u00faltima conexi\u00f3n:";
	.totalconnect.text="N\u00famero total de conexiones:";
	.currentconnect.text="N\u00famero de conexiones actuales:";
	.failedconnect.text="N\u00famero de conexiones fallidas:";
	.failedlogin.text="N\u00famero de inicios de sesi\u00f3n fallidos:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.imap.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=httpstat;
    localvar={
	.lastconnect.text="Hora de \u00faltima conexi\u00f3n:";
	.totalconnect.text="N\u00famero total de conexiones:";
	.currentconnect.text="N\u00famero de conexiones actuales:";
	.failedconnect.text="N\u00famero de conexiones fallidas:";
	.failedlogin.text="N\u00famero de inicios de sesi\u00f3n fallidos:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.http.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=popstat;
    localvar={
	.lastconnect.text="Hora de \u00faltima conexi\u00f3n:";
	.totalconnect.text="N\u00famero total de conexiones:";
	.currentconnect.text="N\u00famero de conexiones actuales:";
	.failedconnect.text="N\u00famero de conexiones fallidas:";
	.failedlogin.text="N\u00famero de inicios de sesi\u00f3n fallidos:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.pop.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=smtpstat;
    localvar={
        .storedmsgs.text="N\u00famero de mensajes almacenados:";
        .transmittedmsgs.text="N\u00famero de mensajes enviados:";
        .receivedmsgs.text="N\u00famero de mensajes recibidos:";
        .outqmsgs.text="Mensajes en cola salientes:";
        .inqmsgs.text="Mensajes en cola entrantes:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.storedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.smtp.global.StoredMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.transmittedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.TransmittedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.receivedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.ReceivedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.outqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numOutgoingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.inqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numInComingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
}
]
